//---------------------------------------------------------------------------
#ifndef skalaH
#define skalaH
//---------------------------------------------------------------------------
// Oto treść pliku skala.h - nagłówka modułu o nazwie skala, mieszczącego obiekt TSkalowanie.
//	Skalowanie obszaru ekranowego w matematyczny i odwrotnie
//	UWAGA: OBSZARY SĄ RÓZNIE ZDEFINIOWANE!
//	(xe0, ye0) - lewy górny róg obszaru ekranowego,
//	eszer, ewys - szerokość i wysokość obszaru ekranowego
//
//	(xr0, yr0) - środek obszaru rzeczywistego,
//	rszer, rwys - szerokość i wysokość obszaru rzeczywistego
class TSkalowanie
{
 private:
   double A, B, C, D;			//skaling z real na ekr
   double E, F, G, H;			//skaling odwrotny

 public:
   TSkalowanie( int xe0, int ye0, int eszer, int ewys, double xr0, double yr0, double rszer, double rwys);
   double daj_real_x( int xe);
   double daj_real_y( int ye);
   int daj_ekr_x( double xr);
   int daj_ekr_y( double yr);
};

#endif
 